EventHttpRequest
EventHttpRequest::cancel
EventHttpRequest
PHP Manual

# EventHttpRequest::addHeader

(PECL event >= 1.4.0-beta)

EventHttpRequest::addHeader — Adds an HTTP header to the headers of the request

### Description

public bool EventHttpRequest::addHeader ( string `$key` , string `$value` , int `$type` )

Adds an HTTP header to the headers of the request.

### Parameters

`key`

  Header name.

`value`

  Header value.

`type`

  One of EventHttpRequest::*_HEADER constants .

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventHttpRequest::removeHeader() - Removes an HTTP header from the headers of the request

EventHttpRequest
EventHttpRequest::cancel
EventHttpRequest
PHP Manual